SyncSourceHandler(3)

NAME
SyncSourceHandler - SyncSource objects modification methods.

SYNOPSIS

#include <iqueue.h>

Inherited by MembershipBookkeeping.

  Public Member Functions

void * getLink (const SyncSource &source) const
This requires SyncSource - SyncSourceHandler friendship.
void setLink (SyncSource &source, void *link)
void setParticipant (SyncSource &source, Participant &p)
void setState (SyncSource &source, SyncSource::State ns)
void setSender (SyncSource &source, bool active)
void setDataTransportPort (SyncSource &source, tpport_t p)
void setControlTransportPort (SyncSource &source, tpport_t p)
void setNetworkAddress (SyncSource &source, InetAddress addr)

  Protected Member Functions

SyncSourceHandler ()
virtual ~SyncSourceHandler ()

Detailed Description

SyncSource objects modification methods.

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  SyncSourceHandler::SyncSourceHandler () [inline], [protected]

  virtual SyncSourceHandler::~SyncSourceHandler () [inline], [protected], [virtual]

Member Function Documentation

  void * SyncSourceHandler::getLink (const SyncSource & source) const [inline]

This requires SyncSource - SyncSourceHandler friendship. Get the SyncSourceLink corresponding to a SyncSource object.

  void SyncSourceHandler::setControlTransportPort (SyncSource & source, tpport_t p) [inline]

  void SyncSourceHandler::setDataTransportPort (SyncSource & source, tpport_t p) [inline]

  void SyncSourceHandler::setLink (SyncSource & source, void * link) [inline]

  void SyncSourceHandler::setNetworkAddress (SyncSource & source, InetAddress addr) [inline]

  void SyncSourceHandler::setParticipant (SyncSource & source, Participant & p) [inline]

  void SyncSourceHandler::setSender (SyncSource & source, bool active) [inline]

  void SyncSourceHandler::setState (SyncSource & source, SyncSource::State ns) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.